Signed login URL for employee (24h TTL)
curl --request POST \
--url https://app.easyfreelance.no/api/v1/users/{id}/login-link \
--header 'API-key: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"send_email": true
}
'import requests
url = "https://app.easyfreelance.no/api/v1/users/{id}/login-link"
payload = { "send_email": True }
headers = {
"Authorization": "Bearer <token>",
"API-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'API-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({send_email: true})
};
fetch('https://app.easyfreelance.no/api/v1/users/{id}/login-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"login_url": "<string>",
"expires_at": "<string>"
}{
"message": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}User
Signed login URL for employee (24h TTL)
Optional body send_email triggers the same email flow as manual magic link.
POST
/
users
/
{id}
/
login-link
Signed login URL for employee (24h TTL)
Authorizations
Sanctum personal access token (access_tokens / partner API settings).
UUID API key stored for the partner user.
Path Parameters
Body
application/json
⌘I